루비 1.9.3-p547 릴리스

루비 1.9.3-p547가 릴리스되었습니다.

루비 1.9.3는 지금 보안 유지보수 단계입니다. 이 말은 1.9.3 에서 보안에 관한 문제가 생겼을 때만 릴리스 한다는 뜻입니다. 하지만 한가지 예외는 있습니다. 이전에도 언급했듯이 치명적인 회귀가 발생하면 릴리스합니다.

Ubuntu 10.04 LTS같은 오래된 OpenSSL 버전을 사용하는 환경에서 문제가 있음을 보고 해주셨습니다. 이 회귀는 루비 1.9.3-p545에서 생겼습니다. (같은 문제가 루비 2.1.1, 루비 2.0.0-p451에서도 일어났으며, 루비 2.1.2, 루비2.0.0-p481에서 이미 수정되었습니다.) 좀 더 자세한 정보는 Bug #9592 를 확인해 주세요.

그래서, 이 수정을 릴리스하기로 결정했습니다. 이 문제에 영향이 있을 경우에만 업그레이드 하세요.

이 릴리스는 두 가지 변경을 포함합니다.

  • 이전 OpenSSL 버전을 위한 수정, (위의 글을 읽어보세요)
  • 릴리스 관리를 위한 common.mk의 사소한 변경. (유저에게는 영향이 없습니다)

Download

Release Comment

보고에 감사드립니다.